*{
    box-sizing:border-box;
    font-family:'Vazirmatn',sans-serif;
}


body{

    margin:0;
    height:100vh;

    background:#080808;

    color:white;

    display:flex;

    justify-content:center;

    align-items:center;

    transition:0.5s;

}



.login-container{

    width:400px;

    padding:40px;

    text-align:center;

    background:rgba(255,255,255,0.05);

    border:1px solid rgba(212,175,55,0.3);

    border-radius:25px;

    backdrop-filter:blur(15px);

    box-shadow:
    0 0 40px rgba(212,175,55,0.15);


}



.logo{

    font-size:70px;

    animation:rotate 5s linear infinite;

}



@keyframes rotate{

    from{
        transform:rotate(0deg);
    }

    to{
        transform:rotate(360deg);
    }

}



h1{

    color:#d4af37;

    margin:10px;

    font-size:32px;

}



h2{

    font-size:18px;

    font-weight:400;

}



.login-box{

    margin-top:35px;

}



input{

    width:100%;

    padding:15px;

    margin:10px 0;

    background:#111;

    color:white;

    border:

    1px solid #333;

    border-radius:12px;

}



.login-btn{


    width:100%;

    padding:15px;

    margin-top:15px;

    background:#d4af37;

    color:#000;

    border:none;

    border-radius:12px;

    cursor:pointer;

    font-size:17px;

    font-weight:bold;

    transition:0.3s;


}



.login-btn:hover{

    transform:scale(1.05);

}



footer{

    margin-top:30px;

    font-size:14px;

    color:#aaa;

}



.theme-switch{

    position:absolute;

    top:20px;

    left:20px;

}


.theme-switch button{

    padding:10px;

    margin:5px;

    border-radius:50%;

    cursor:pointer;

}